#include <bits/stdc++.h>
using namespace std;
int n,sum;
double k;
struct slog{
    double b;
    double p;
}a[1000005];
bool cmp( slog a, slog b ){
    return a.p > b.p;
}
int main() {
cin >> n;
k=-1000000.01;
cout << setprecision(4) <<fixed;
for(int i=1;i<=n;i++){
    cin >> a[i].b >> a[i].p;
}
sort( a+1, a+1+n, cmp );
double zb;
for(int i=1;i<=n;i++){
    zb=0;
    for(int j=1;j<=i;j++){
        zb+=a[j].b*(a[i].p/100);
    }
    k=max(k,zb);

}
cout << k <<endl;
return 0;
}